For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate a list
      • GETGet a list's details
      • GETGet all the lists
      • PUTUpdate a list
      • DELDelete a list
      • GETGet contacts in a list
      • POSTDelete a contact from a list
      • POSTAdd existing contacts to a list
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementLists

Update a list

PUT
https://api.brevo.com/v3/contacts/lists/:listId
PUT
/v3/contacts/lists/:listId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.updateList(1, {});
8}
9main();

Update an existing contact list identified by its ID. You can update the list name, move it to a different folder by providing a new folderId, or both. Only one of the two parameters (name, folderId) needs to be provided per request.

Was this page helpful?
Previous

Delete a list

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

listIdlongRequired
Id of the list

Request

Values to update a list
folderIdlongOptional

Id of the folder in which the list is to be moved. Either of the two parameters (name, folderId) can be updated at a time.

namestringOptional

Name of the list. Either of the two parameters (name, folderId) can be updated at a time.

Response

List updated

Errors

400
Bad Request Error
404
Not Found Error